| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
Pos::Filter3D Class Referenceabstract
Algo

Provides a filter related to 3D data. More...

`#include <posfilter.h>`

Inheritance diagram for Pos::Filter3D:
[legend]

## Public Member Functions
virtual bool | includes (const BinID &, float z=mUdf(float)) const =0
bool | includes (const Coord &, float z=mUdf(float)) const override
bool | is2D () const override
Public Member Functions inherited from Pos::Filter
virtual | ~Filter ()
virtual float | adjustedZ (const Coord &, float z) const
virtual Filter * | clone () const =0
virtual float | estRatio (const Provider &) const =0
virtual void | fillPar (IOPar &) const =0
virtual void | getSummary (BufferString &) const =0
virtual bool | hasZAdjustment () const
virtual bool | initialize (TaskRunner *=nullptr)
virtual bool | isProvider () const
virtual void | reset ()=0
virtual const char * | type () const =0
virtual void | usePar (const IOPar &)=0

## Static Public Member Functions
static Filter3D * | make (const IOPar &)
Static Public Member Functions inherited from Pos::Filter
static Filter * | make (const IOPar &, bool is2d)

## Detailed Description

Provides a filter related to 3D data.

<>

## Member Function Documentation

## ◆ includes() [1/2]

virtual bool Pos::Filter3D::includes | ( | const BinID & | ,
|  | float | z = mUdf(float) ) const
| pure virtual

Implemented in Pos::WellProvider3D, Pos::RandomFilter3D, Pos::SubsampFilter3D, Pos::FilterSet3D, Pos::RangeProvider3D, Pos::SeisProvider3D, Pos::Provider3D, Pos::EMSurfaceProvider3D, Pos::EMSurface2DProvider3D, Pos::EMImplicitBodyProvider, Pos::EMRegion3DProvider, Pos::PolyProvider3D, and Pos::TableProvider3D.

## ◆ includes() [2/2]

bool Pos::Filter3D::includes | ( | const Coord & | ,
|  | float | z = mUdf(float) ) const
| override virtual

Implements Pos::Filter.

Reimplemented in Pos::WellProvider3D, Pos::RandomFilter3D, Pos::SubsampFilter3D, Pos::Provider3D, Pos::PolyProvider3D, Pos::TableProvider3D, Pos::FilterSet3D, Pos::RangeProvider3D, and Pos::SeisProvider3D.

## ◆ is2D()

bool Pos::Filter3D::is2D | ( |  | ) | const
| inline override virtual

Implements Pos::Filter.

Reimplemented in Pos::FilterSet3D, Pos::RandomFilter3D, Pos::SubsampFilter3D, and Pos::Provider3D.

## ◆ make()

static Filter3D * Pos::Filter3D::make | ( | const IOPar & |  | ) |
| static

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025